FIX::ReverseLocker Class Reference

Does the opposite of the Locker to ensure mutex ends up in a locked state. More...

`#include <Mutex.h>`

Collaboration diagram for FIX::ReverseLocker:
[legend]

## Public Member Functions

| ReverseLocker (Mutex &mutex)
| ~ReverseLocker ()

## Private Attributes

Mutex & | m_mutex

## Detailed Description

Does the opposite of the Locker to ensure mutex ends up in a locked state.

Definition at line 130 of file Mutex.h.

## Constructor & Destructor Documentation

## ReverseLocker()

FIX::ReverseLocker::ReverseLocker | ( | Mutex & | mutex | ) |

inline

Definition at line 133 of file Mutex.h.

## ~ReverseLocker()

FIX::ReverseLocker::~ReverseLocker | ( |  | ) |

inline

Definition at line 139 of file Mutex.h.

## Member Data Documentation

## m_mutex

Mutex& FIX::ReverseLocker::m_mutex

private

Definition at line 144 of file Mutex.h.

Referenced by FIX::Locker::Locker().

The documentation for this class was generated from the following file:

- Mutex.h